Re: SChannel CSP for Win9X and WinCE 4x?

From: John Banes [MS] (jbanes_at_online.microsoft.com)
Date: 09/12/03


Date: Thu, 11 Sep 2003 22:07:23 -0700


On NT4 and Win9x, schannel implemented all of its crypto internally. It
didn't use CryptoAPI for anything except signing the client authentication
challenge.

We didn't introduce the "schannel" CSPs until the release of Win2k. I'm not
completely sure what you're asking, but there's no supported way to get
these CSPs to work on NT4 or Win9x. Schannel itself works fine on these
platforms, however, provided that you've installed IE 5.01 or later (Win9x)
or SP6 (NT4).

Regards,

John Banes
[Microsoft Security Developer]

This posting is provided "AS IS" with no warranties, and confers no rights.
Please do not send email directly to this alias. This alias is for newsgroup
purposes only.

"Tom Rixom" <tom.rixom@alfa-ariss.com> wrote in message
news:OUF6tNFeDHA.1760@TK2MSFTNGP09.phx.gbl...
> Hello,
>
> I am using the MS SChannel CSP functionality but I cannot find the
provider
> for Windows 9x or Windows CE 4.x.
>
> Is their an update I can get for these OSs or is their another way to use
> SChannel functionality?
>
> Thanks,
>
> Tom.
>
>